function [nordt2]=NormTrgDict(N,a,Option);
%Norms for all the atoms in Trigonometric Dictionaries
%
M=a*N;
switch Option
case 1

nordt2(1,1:M)=sqrt(N);
%
case 2
n=2:M;
mm=2*(1-cos(2*pi*(n-1)/(M)));
nordt=N/2 +sin(pi/(a*N)*(n-1)).*sin(2*pi*(n-1)/a)./mm;
nordt2(1,:)=[sqrt(N) sqrt(nordt)];
%
case 3
%
n=1:M-1;
mm=2*(1-cos(2*pi*(n)/(M)));
nordt=N/2 -sin(pi/(a*N)*(n)).*sin(2*pi*(n)/a)./mm;
nordt2(1,:)=[sqrt(nordt) sqrt(N)];
%
case 4
%
M=M/2;
n=2:M;
mm=2*(1-cos(2*pi*(n-1)/(M)));
nordt=N/2 +sin(pi/(M)*(n-1)).*sin(2*pi*(n-1)*N/M)./mm;
nordt2(1,:)=[sqrt(N) sqrt(nordt)];
n=1:M-1;
mm=2*(1-cos(2*pi*(n)/(M)));
nordt=N/2 -sin(pi/(M)*(n)).*sin(2*pi*(n)*N/M)./mm;
nordt2(2,:)=[sqrt(nordt) sqrt(N)];
otherwise
   disp('unknown option');
%
end
