function [normat]=NormTrgAtom(n,N,M,icase); 

%Gives the theoretical norm of Trigonometric Atoms
% n       Index of the atom 
% N       Dimension of the space (atom in C^N)
% M       Number of atoms in the  dictionary
% icase   2 Atom in Dcos, 3  Atom in Dsin 
%
switch icase
case 1
normat=sqrt(N);
case 2
if n==1
   normat=sqrt(N);
 else
   mm=2*(1-cos(2*pi*(n-1)/M));
   normat=N/2 +sin(pi*(n-1)/M)*sin(2*pi*(n-1)*N/M)/mm;
   normat=sqrt(normat);
end
%
case 3
mm=2*(1-cos(2*pi*(n)/(M)));
normat=N/2 -sin(pi*(n)/M)*sin(2*pi*(n)*N/M)/mm;
normat=sqrt(normat);
%
end

