%Run this script after SPMPTrgFFT  to plot both the 
%spectrogram and the sparser version.

%Standard spectrogram
ov=0 %chage this to bw/2 for 50% overlap
[y,f,t,p] = spectrogram(signal,bw,ov,'yaxis');

np=max(max(abs(p))); 

t=1:numel(t); 
t=t*bw/fs; %divide by 2 for 50% overlap
f=f/max(f);

figure('renderer','zbuffer');
surf(t,f,10*log10(abs(p/np+0.1e-12)),'EdgeColor','none');
axis xy; axis tight; colormap(jet); view(0,90);
xlabel('Time (secs)');ylabel('Normalized frequency');
%%%
%

%Sparse spectrograme
t=1:numel(signal)/bw;
t=t*bw/fs;

re=2;
del=1/(re*bw)

f=0:del:1;

f=f/max(f);

f(end)=[];
no=max(max(cf2))
figure('renderer','zbuffer');

ylim([0 1])

surf(t,f,10*log10(abs(cf2/no+0.1e-12)),'EdgeColor','none');
axis xy; axis tight; colormap(jet); view(0,90);
xlabel('Time (secs)');ylabel('Normalized frequency');
%%%%


